﻿<%@ Application Language="C#" %>
<%@ Import Namespace="System.Web.Routing" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        RegisterRoutes();
    }

    void RegisterRoutes()
    {
        RouteTable.Routes.Add(
            "Recipe", 
            new Route("recipe/{name}", 
                new PageRouteHandler("~/RoutedForms/RecipeDisplay.aspx", 
                                    checkPhysicalUrlAccess:false)));
    }

    // to use this feature "as is" you'll have to add an entry 
    // to your host file so that requests for www.odetocode.com 
    // go to your local server. either change your host file, or 
    // change the value of the domain variable below. 
    
    //void Application_BeginRequest(object sender, EventArgs e)
    //{
    //    HttpApplication app = sender as HttpApplication;

    //    if (app != null)
    //    {
    //        string domain = "www.odetocode.com";
    //        string host = app.Request.Url.Host.ToLower();
    //        string path = app.Request.Url.PathAndQuery;

    //        if (!String.Equals(host, domain))
    //        {
    //            Uri newURL = new Uri(app.Request.Url.Scheme +
    //                                 "://" + domain + path);

    //            app.Context.Response.RedirectPermanent(
    //                newURL.ToString(), endResponse: true);                
    //        }
    //    }
    //}
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown

    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // Code that runs when an unhandled error occurs

    }

    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
