﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class RoutedForms_RecipeDisplay : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            DisplayRecipe();
        }
    }

    private void DisplayRecipe()
    {
        var recipeName = RouteData.Values["name"] as string;
        if (recipeName != null)
        {
            var recipe = new RecipeRepository().GetRecipe(recipeName);
            if (recipe != null)
            {
                _name.Text = recipe.Name;
                _ingredients.Text = recipe.Ingredients;
                _instructions.Text = recipe.Instructions;
            }
        }
    }
}